---
title: Keyboard shortcuts of the MDN editor
slug: MDN/Editor/Keyboard_shortcuts
tags:
  - MDN Meta
  - Reference
  - editor
---
<p>There are a number of convenient keyboard shortcuts available to help you avoid taking your hands off the keyboard while you work in the MDN editor UI. The shortcuts are listed for Windows and Linux; on Mac, instead of using the <kbd>Control</kbd> key, you can use the <kbd>Command</kbd> key.</p>

<table class="standard-table">
 <colgroup>
  <col style="width: 15em;">
 </colgroup>
 <tbody>
  <tr>
   <th>Shortcut</th>
   <th>Description</th>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>A</kbd></td>
   <td>Select all</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>C</kbd></td>
   <td>Copy to clipboard</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>V</kbd></td>
   <td>Paste from clipboard</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>V</kbd></td>
   <td>Paste from clipboard as plain, unformatted text</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>X</kbd></td>
   <td>Cut (and add to clipboard)</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>Z</kbd></td>
   <td>Undo</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>Y</kbd></td>
   <td>Redo</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>K</kbd></td>
   <td>Open link editor/add a new link</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>K</kbd></td>
   <td>Remove the link at the current cursor position</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>B</kbd></td>
   <td>Bold</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>I</kbd></td>
   <td>Italic</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>O</kbd></td>
   <td>Toggle <code>&lt;code&gt;</code> style</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>O</kbd></td>
   <td>
    <p>Toggle source view mode</p>

    <div class="note">Be careful when editing in source mode; you need to continue to adhere to our content standards. See our <a href="/en-US/docs/MDN/Contribute/Editor/Source_mode">guide to the editor's source mode</a> for details on both how to use source mode and what you should and should not use it for.</div>
   </td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>P</kbd></td>
   <td>Toggle the <code>&lt;pre&gt;</code> style on the current block on and off.</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>U</kbd></td>
   <td>Underline</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>S</kbd></td>
   <td>Publish changes without closing the editor</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>S</kbd></td>
   <td>Publish changes and close the editor</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>0</kbd></td>
   <td>Remove formatting from the selected area (That's a zero, not the letter "O").</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>2</kbd> through <kbd>Ctrl</kbd> + <kbd>5</kbd></td>
   <td>Select heading level 2 through 5. Heading level 1 is reserved for the page title displayed at the top of the article.</td>
  </tr>
  <tr>
   <td><kbd>Ctrl</kbd> + <kbd>Shift</kbd> + <kbd>L</kbd></td>
   <td>Cycle selected text to bulleted list, to numbered list, to plain paragraph format.</td>
  </tr>
  <tr>
   <td><kbd>Tab</kbd></td>
   <td>Increase indent level if in indent mode, otherwise inserts two spaces as a tab. Inside tables, this moves the cursor to the next cell, or inserts a new row if there is no next cell. If the cursor is currently in the page title or in a heading, the cursor jumps to the next paragraph.</td>
  </tr>
  <tr>
   <td><kbd>Shift</kbd> + <kbd>Tab</kbd></td>
   <td>Decrease indent level if in indent mode. Inside tables, this jumps to the previous cell, or inserts a new row if there is no previous cell. If the cursor is currently in the page title or in a heading, the cursor jumps to the next paragraph.</td>
  </tr>
  <tr>
   <td><kbd>Shift</kbd> + <kbd>Space</kbd></td>
   <td>Insert a non-breaking space (<code>&amp;nbsp;</code>)</td>
  </tr>
  <tr>
   <td><kbd>Shift</kbd> + <kbd>Enter</kbd></td>
   <td>
    <p>Exits out of the current block. For example, if you're currently editing a <code>&lt;pre&gt;</code> block, <kbd>Shift</kbd> + <kbd>Enter</kbd> exits the block, putting you back in the body of the article.</p>

    <div class="note style-wrap">
    <p>Not currently implemented; see {{bug('780055')}}.</p>
    </div>
   </td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/MDN/Contribute/Editor/Basics">Editor UI elements</a></li>
 <li><a href="/en-US/docs/MDN/Contribute">Contributing to MDN</a></li>
 <li><a href="/en-US/docs/MDN/Getting_started">Getting started on MDN</a></li>
</ul>

<div>{{MDNSidebar}}</div>
